//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .c, for easier inclusion in a project

#ifdef __cplusplus
extern "C" {
#endif

#include "all_gfx.h"


// Sprite files : 
#include "battery.c"
#include "volume.c"
#include "shoulder.c"

// Background files : 
#include "top.c"
#include "bottom.c"
#include "large_font.c"
#include "small_font.c"

// Sprite files : 
#include "mask.c"
#include "start_mask.c"
#include "scroll_mask.c"
#include "scroll_window.c"
#include "start.c"
#include "cart_icon.c"
#include "brace.c"
#include "bubble.c"
#include "nintendo_dsi_menu.c"
#include "buttons.c"
#include "dot.c"
#include "bips.c"

// Palette files : 
#include "battery.pal.c"
#include "volume.pal.c"
#include "shoulder.pal.c"
#include "top.pal.c"
#include "bottom.pal.c"
#include "large_font.pal.c"
#include "small_font.pal.c"
#include "mask.pal.c"
#include "scroll_window.pal.c"
#include "start.pal.c"
#include "cart_icon.pal.c"
#include "brace.pal.c"
#include "bubble.pal.c"
#include "nintendo_dsi_menu.pal.c"
#include "buttons.pal.c"
#include "bips.pal.c"

// Background Pointers :
PAGfx_struct top = {(void*)top_Map, 768, (void*)top_Tiles, 1280, (void*)top_Pal, (int*)top_Info };
PAGfx_struct bottom = {(void*)bottom_Map, 768, (void*)bottom_Tiles, 768, (void*)bottom_Pal, (int*)bottom_Info };
PAGfx_struct large_font = {(void*)large_font_Map, 1024, (void*)large_font_Tiles, 6912, (void*)large_font_Pal, (int*)large_font_Info };
PAGfx_struct small_font = {(void*)small_font_Map, 1024, (void*)small_font_Tiles, 6720, (void*)small_font_Pal, (int*)small_font_Info };


#ifdef __cplusplus
}
#endif

