//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files : 
extern const unsigned char battery_Sprite[1024] __attribute__ ((aligned (4))) ;  // Pal : battery_Pal
extern const unsigned char volume_Sprite[1024] __attribute__ ((aligned (4))) ;  // Pal : volume_Pal
extern const unsigned char shoulder_Sprite[2048] __attribute__ ((aligned (4))) ;  // Pal : shoulder_Pal

// Background files : 
extern const int top_Info[3]; // BgMode, Width, Height
extern const unsigned short top_Map[768] __attribute__ ((aligned (4))) ;  // Pal : top_Pal
extern const unsigned char top_Tiles[1280] __attribute__ ((aligned (4))) ;  // Pal : top_Pal
extern PAGfx_struct top; // background pointer

extern const int bottom_Info[3]; // BgMode, Width, Height
extern const unsigned short bottom_Map[768] __attribute__ ((aligned (4))) ;  // Pal : bottom_Pal
extern const unsigned char bottom_Tiles[768] __attribute__ ((aligned (4))) ;  // Pal : bottom_Pal
extern PAGfx_struct bottom; // background pointer

extern const char large_font_Height;
extern const char large_font_Sizes[256];
extern const int large_font_Info[3]; // BgMode, Width, Height
extern const unsigned short large_font_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : large_font_Pal
extern const unsigned char large_font_Tiles[6912] __attribute__ ((aligned (4))) ;  // Pal : large_font_Pal
extern PAGfx_struct large_font; // background pointer

extern const char small_font_Height;
extern const char small_font_Sizes[256];
extern const int small_font_Info[3]; // BgMode, Width, Height
extern const unsigned short small_font_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : small_font_Pal
extern const unsigned char small_font_Tiles[6720] __attribute__ ((aligned (4))) ;  // Pal : small_font_Pal
extern PAGfx_struct small_font; // background pointer

extern const int splash_top_Info[3]; // BgMode, Width, Height
extern const unsigned short splash_top_Map[768] __attribute__ ((aligned (4))) ;  // Pal : splash_top_Pal
extern const unsigned char splash_top_Tiles[29056] __attribute__ ((aligned (4))) ;  // Pal : splash_top_Pal
extern PAGfx_struct splash_top; // background pointer

extern const int splash_bottom_Info[3]; // BgMode, Width, Height
extern const unsigned short splash_bottom_Map[768] __attribute__ ((aligned (4))) ;  // Pal : splash_bottom_Pal
extern const unsigned char splash_bottom_Tiles[39488] __attribute__ ((aligned (4))) ;  // Pal : splash_bottom_Pal
extern PAGfx_struct splash_bottom; // background pointer


// Sprite files : 
extern const unsigned char mask_Texture[64] __attribute__ ((aligned (4))) ;  // Pal : mask_Pal
extern const unsigned char start_mask_Texture[512] __attribute__ ((aligned (4))) ;  // Pal : mask_Pal
extern const unsigned char scroll_mask_Texture[1024] __attribute__ ((aligned (4))) ;  // Pal : mask_Pal
extern const unsigned char scroll_window_Texture[512] __attribute__ ((aligned (4))) ;  // Pal : scroll_window_Pal
extern const unsigned char start_Texture[512] __attribute__ ((aligned (4))) ;  // Pal : start_Pal
extern const unsigned char cart_icon_Texture[20480] __attribute__ ((aligned (4))) ;  // Pal : cart_icon_Pal
extern const unsigned char brace_Texture[1024] __attribute__ ((aligned (4))) ;  // Pal : brace_Pal
extern const unsigned char bubble_Texture[16384] __attribute__ ((aligned (4))) ;  // Pal : bubble_Pal
extern const unsigned char nintendo_dsi_menu_Texture[4096] __attribute__ ((aligned (4))) ;  // Pal : nintendo_dsi_menu_Pal
extern const unsigned char buttons_Texture[9216] __attribute__ ((aligned (4))) ;  // Pal : buttons_Pal
extern const unsigned char dot_Texture[256] __attribute__ ((aligned (4))) ;  // Pal : buttons_Pal
extern const unsigned char bips_Texture[320] __attribute__ ((aligned (4))) ;  // Pal : bips_Pal

// Palette files : 
extern const unsigned short battery_Pal[9] __attribute__ ((aligned (4))) ;
extern const unsigned short volume_Pal[5] __attribute__ ((aligned (4))) ;
extern const unsigned short shoulder_Pal[16] __attribute__ ((aligned (4))) ;
extern const unsigned short top_Pal[14] __attribute__ ((aligned (4))) ;
extern const unsigned short bottom_Pal[10] __attribute__ ((aligned (4))) ;
extern const unsigned short large_font_Pal[8] __attribute__ ((aligned (4))) ;
extern const unsigned short small_font_Pal[8] __attribute__ ((aligned (4))) ;
extern const unsigned short splash_top_Pal[17] __attribute__ ((aligned (4))) ;
extern const unsigned short splash_bottom_Pal[235] __attribute__ ((aligned (4))) ;
extern const unsigned short mask_Pal[9] __attribute__ ((aligned (4))) ;
extern const unsigned short scroll_window_Pal[6] __attribute__ ((aligned (4))) ;
extern const unsigned short start_Pal[2] __attribute__ ((aligned (4))) ;
extern const unsigned short cart_icon_Pal[48] __attribute__ ((aligned (4))) ;
extern const unsigned short brace_Pal[3] __attribute__ ((aligned (4))) ;
extern const unsigned short bubble_Pal[12] __attribute__ ((aligned (4))) ;
extern const unsigned short nintendo_dsi_menu_Pal[8] __attribute__ ((aligned (4))) ;
extern const unsigned short buttons_Pal[13] __attribute__ ((aligned (4))) ;
extern const unsigned short bips_Pal[13] __attribute__ ((aligned (4))) ;


#endif

