/*
Header format

Field				Start	End	Size	Example data (Metroid demo)
	Game title	0x000	0x00B	12	"FIRST HUNT "
	Game code	0x00C	0x00F	4	"AMFE"

Icon+titles (ROM)	0x068	0x06B	4	0x000DB000
*/
/*
typedef struct
{
	char version[2]; //(always 1)
	char crc_16[2]; // not licluding first 32 bytes
	char reserved[28]; // apparently not used
	char tile_data[512]; //2x2 tiles in 'sprite' format
	unsigned short  palette[32]; // colours for sprite
	char j_title[256]; // Japanese Title
	char e_title[256]; // English Title
	char f_title[256]; // French Title
	char g_title[256]; // German Title
	char i_title[256]; // Italian Title
	char s_title[256]; // Spanish Title
}R_Info;
R_Info Rom_Info;
*/

	struct stat st;
	int number_of_files=0;

void read_file_list(void)
{

	DIR_ITER* dir = diropen("fat:/");
	if (dir == NULL) 
	{
//		PA_OutputText(1,2,2,"Unable to open the directory.");
	} 
	else 
	while (dirnext(dir, Icons[number_of_files].name, &st) == 0 && number_of_files<39){
		if(st.st_mode & S_IFREG){
			if(stricmp(&Icons[number_of_files].name[strlen(Icons[number_of_files].name)-4], ".nds")==0){
				number_of_files++;//next line

				FILE *handle = fopen(Icons[number_of_files].name, "r");
				if(handle)
				{
					fseek(handle, 0, SEEK_SET);
					fread(&Icons[number_of_files].game_title, 1, 12, handle);
				
					u32 newlocation=0;
					fseek(handle, 0x68, SEEK_SET);
					fread(&newlocation, sizeof(u32), 1, handle);
					if(newlocation) // do we have an icon?
					{
						fseek(handle, newlocation, SEEK_SET);
						fread(&Icons[number_of_files], 1, 2112, handle);
					}
					fclose(handle);
				}

			}		
		}	   
	}
   
}   



